<script setup lang="ts">
import ProductDialog from '../components/ProductDialog.vue'
import { useProductStore } from '../stores/product'
import { useTypeStore } from '@/views/Type/stores/type'
import { onMounted, ref } from 'vue'
import TableLayout from '@/layout/TableLayout.vue'

const productStore = useProductStore()
const typeStore = useTypeStore()
const items = [
  { id: 1, image: '', name: 'โกโก้', price: '1', type: 'drink', action: 'full' },
  { id: 2, image: '', name: 'โอวัลติน', price: '1', type: 'drink', action: 'full' },
  { id: 3, image: '', name: 'ชาเขียว', price: '1', type: 'drink', action: 'full' }
]

onMounted(async () => {
  await productStore.getAll()
  await typeStore.getTypes()
})
</script>

<template>
  <ProductDialog />
  <!-- <v-data-table
    class="h-100"
    fixed-header
    :headers="productStore.headers"
    :items="productStore.items"
  > -->
  <!-- :search="search" -->
  <TableLayout title="Product Management" :items="productStore.items">
    <template #topheaders>
      <v-container>
        <v-row>
          <v-col cols="8">
            <v-text-field variant="filled" rounded="lg"></v-text-field>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg">Search</v-btn>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg">New</v-btn>
          </v-col>
        </v-row>
      </v-container>
    </template>
    <template #content> </template>
  </TableLayout>

  <!-- <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>
          <v-img
            :src="'http://localhost:3000/images/products/' + item.image"
            width="100"
            height="100"
          ></v-img>
        </td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>{{ item.type.name }}</td>

        <td>
          <v-icon size="small" class="me-2" @click="productStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="productStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
    <template v-slot:[`item.image`]="{ item }">
      <v-img :src="'http://localhost:3000/images/products/' + item.image" width="100" height="100"></v-img>
    </template>
  </v-data-table> -->
</template>

<style scoped></style>
